package com.ssj.service.reading.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/** 
 * @author  ZhangCaibao 
 * @version 2018年8月16日 下午2:51:04 
 * 类说明 
 */
public class DispatcherScanReq extends BaseRequest{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(name="pageSize",value="一页10条",required=true)
	private int pageSize =10;
    @ApiModelProperty(name="pageNo",value="第几页",required=true)
	private int pageNo =1;
    @ApiModelProperty(name="libId",value="图书馆id",required=true)
	private String libId ;
    @ApiModelProperty(name="type",value="1-带书离馆 2-送书到馆 3-送书到馆待调配",required=true)
   	private int type =1;

	public int getPageSize() {
		return pageSize;
	}
	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}
	public int getPageNo() {
		return pageNo;
	}
	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}
	public String getLibId() {
		return libId;
	}
	public void setLibId(String libId) {
		this.libId = libId;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	
}
